pragma Warnings (Off);
pragma Ada_95;
with System;
with System.Parameters;
with System.Secondary_Stack;
package zmqAdamain is

   procedure zmqAdainit;
   pragma Export (C, zmqAdainit, "zmqAdainit");
   pragma Linker_Constructor (zmqAdainit);

   procedure zmqAdafinal;
   pragma Export (C, zmqAdafinal, "zmqAdafinal");
   pragma Linker_Destructor (zmqAdafinal);

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#0811f84f#;
   pragma Export (C, u00001, "zmq__contextsB");
   u00002 : constant Version_32 := 16#e70ab1b5#;
   pragma Export (C, u00002, "zmq__contextsS");
   u00003 : constant Version_32 := 16#de889ab6#;
   pragma Export (C, u00003, "zmq__low_levelS");
   u00004 : constant Version_32 := 16#2a70a849#;
   pragma Export (C, u00004, "zmq__messagesB");
   u00005 : constant Version_32 := 16#a3ea54fb#;
   pragma Export (C, u00005, "zmq__messagesS");
   u00006 : constant Version_32 := 16#63970fd5#;
   pragma Export (C, u00006, "zmq__proxysB");
   u00007 : constant Version_32 := 16#8af857ab#;
   pragma Export (C, u00007, "zmq__proxysS");
   u00008 : constant Version_32 := 16#3c94abb3#;
   pragma Export (C, u00008, "zmq__socketsB");
   u00009 : constant Version_32 := 16#47c8a298#;
   pragma Export (C, u00009, "zmq__socketsS");
   u00010 : constant Version_32 := 16#aefb4cc8#;
   pragma Export (C, u00010, "zmq__utilities__memory_streamsB");
   u00011 : constant Version_32 := 16#b28d2b4e#;
   pragma Export (C, u00011, "zmq__utilities__memory_streamsS");
   u00012 : constant Version_32 := 16#9052379c#;
   pragma Export (C, u00012, "zmq__utilitiesS");
   u00013 : constant Version_32 := 16#fd9a2add#;
   pragma Export (C, u00013, "zmqB");
   u00014 : constant Version_32 := 16#52bd9931#;
   pragma Export (C, u00014, "zmqS");

   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.characters%s
   --  ada.characters.latin_1%s
   --  interfaces%s
   --  system%s
   --  system.atomic_operations%s
   --  system.io%s
   --  system.io%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  interfaces.c_streams%s
   --  interfaces.c_streams%b
   --  system.os_primitives%s
   --  system.os_primitives%b
   --  system.spark%s
   --  system.spark.cut_operations%s
   --  system.spark.cut_operations%b
   --  system.storage_elements%s
   --  system.img_address_32%s
   --  system.img_address_64%s
   --  system.return_stack%s
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%s
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  system.unsigned_types%s
   --  system.img_biu%s
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%s
   --  system.wch_cnv%b
   --  system.concat_2%s
   --  system.concat_2%b
   --  system.concat_3%s
   --  system.concat_3%b
   --  system.traceback%s
   --  system.traceback%b
   --  ada.characters.handling%s
   --  system.atomic_operations.test_and_set%s
   --  system.case_util%s
   --  system.os_lib%s
   --  system.secondary_stack%s
   --  system.standard_library%s
   --  ada.exceptions%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.soft_links%s
   --  system.val_util%s
   --  system.val_util%b
   --  system.val_llu%s
   --  system.val_lli%s
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  ada.exceptions.traceback%s
   --  ada.exceptions.traceback%b
   --  system.address_image%s
   --  system.address_image%b
   --  system.bit_ops%s
   --  system.bit_ops%b
   --  system.bounded_strings%s
   --  system.bounded_strings%b
   --  system.case_util%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  ada.containers%s
   --  ada.io_exceptions%s
   --  ada.numerics%s
   --  ada.numerics.big_numbers%s
   --  ada.strings%s
   --  ada.strings.maps%s
   --  ada.strings.maps%b
   --  ada.strings.maps.constants%s
   --  interfaces.c%s
   --  interfaces.c%b
   --  system.atomic_primitives%s
   --  system.atomic_primitives%b
   --  system.exceptions%s
   --  system.exceptions.machine%s
   --  system.exceptions.machine%b
   --  ada.characters.handling%b
   --  system.atomic_operations.test_and_set%b
   --  system.exception_traces%s
   --  system.exception_traces%b
   --  system.img_int%s
   --  system.img_uns%s
   --  system.memory%s
   --  system.memory%b
   --  system.mmap%s
   --  system.mmap.os_interface%s
   --  system.mmap%b
   --  system.mmap.unix%s
   --  system.mmap.os_interface%b
   --  system.object_reader%s
   --  system.object_reader%b
   --  system.dwarf_lines%s
   --  system.dwarf_lines%b
   --  system.os_lib%b
   --  system.secondary_stack%b
   --  system.soft_links.initialize%s
   --  system.soft_links.initialize%b
   --  system.soft_links%b
   --  system.standard_library%b
   --  system.traceback.symbolic%s
   --  system.traceback.symbolic%b
   --  ada.exceptions%b
   --  ada.strings.search%s
   --  ada.strings.search%b
   --  ada.strings.fixed%s
   --  ada.strings.fixed%b
   --  ada.strings.utf_encoding%s
   --  ada.strings.utf_encoding%b
   --  ada.strings.utf_encoding.strings%s
   --  ada.strings.utf_encoding.strings%b
   --  ada.strings.utf_encoding.wide_strings%s
   --  ada.strings.utf_encoding.wide_strings%b
   --  ada.strings.utf_encoding.wide_wide_strings%s
   --  ada.strings.utf_encoding.wide_wide_strings%b
   --  ada.tags%s
   --  ada.tags%b
   --  ada.strings.text_buffers%s
   --  ada.strings.text_buffers%b
   --  ada.strings.text_buffers.utils%s
   --  ada.strings.text_buffers.utils%b
   --  gnat%s
   --  gnat.debug_utilities%s
   --  gnat.debug_utilities%b
   --  gnat.io%s
   --  gnat.io%b
   --  gnat.memory_dump%s
   --  gnat.memory_dump%b
   --  gnat.os_lib%s
   --  gnat.source_info%s
   --  interfaces.c.strings%s
   --  interfaces.c.strings%b
   --  system.arith_64%s
   --  system.arith_64%b
   --  system.fat_flt%s
   --  system.fat_lflt%s
   --  system.fat_llf%s
   --  system.linux%s
   --  system.multiprocessors%s
   --  system.multiprocessors%b
   --  system.os_constants%s
   --  system.os_locks%s
   --  system.finalization_primitives%s
   --  system.finalization_primitives%b
   --  system.os_interface%s
   --  system.os_interface%b
   --  system.put_images%s
   --  system.put_images%b
   --  ada.streams%s
   --  ada.streams%b
   --  system.file_control_block%s
   --  system.finalization_root%s
   --  system.finalization_root%b
   --  ada.finalization%s
   --  system.file_io%s
   --  system.file_io%b
   --  system.stack_usage%s
   --  system.stack_usage%b
   --  system.storage_pools%s
   --  system.storage_pools%b
   --  system.storage_pools.subpools%s
   --  system.storage_pools.subpools.finalization%s
   --  system.storage_pools.subpools.finalization%b
   --  system.storage_pools.subpools%b
   --  system.stream_attributes%s
   --  system.stream_attributes.xdr%s
   --  system.stream_attributes.xdr%b
   --  system.stream_attributes%b
   --  ada.strings.unbounded%s
   --  ada.strings.unbounded%b
   --  system.task_info%s
   --  system.task_info%b
   --  system.task_primitives%s
   --  system.interrupt_management%s
   --  system.interrupt_management%b
   --  ada.text_io%s
   --  ada.text_io%b
   --  system.img_lli%s
   --  system.tasking%s
   --  system.task_primitives.operations%s
   --  system.tasking.debug%s
   --  system.tasking.debug%b
   --  system.task_primitives.operations%b
   --  system.tasking%b
   --  system.pool_global%s
   --  system.pool_global%b
   --  zmq%s
   --  zmq.low_level%s
   --  zmq%b
   --  zmq.utilities%s
   --  zmq.contexts%s
   --  zmq.contexts%b
   --  zmq.messages%s
   --  zmq.messages%b
   --  zmq.sockets%s
   --  zmq.sockets%b
   --  zmq.proxys%s
   --  zmq.proxys%b
   --  zmq.utilities.memory_streams%s
   --  zmq.utilities.memory_streams%b
   --  END ELABORATION ORDER

end zmqAdamain;
